<!-- <div class="header-container">
    <div class="container h-100">
        <div class="row h-100 justify-content-stretch align-items-center">

            <div class="col-sm-6 order-sm-2">
                <div class="row justify-content-center">
                    <img src="assets/img/logo/default-monochrome.svg" class="logo">
                </div>
            </div>

            <div class="col-sm-6 order-sm-1">
                <h1>Welcome to your movie guide...</h1>
                <p>Our Most Popular charts use data from the search behavior of IMDb's more than 250 million monthly
                    unique visitors to rank the hottest, most buzzed about movies and TV shows.</p>
                <button mat-raised-button color="basic" (click)="logout()">Logout</button>
            </div>

        </div>
    </div>
</div> -->

<section class="movies-container w-100">

    <div class="container">

        <!-- heading -->

        <div class="d-flex flex-column align-items-center py-4">
            <p class="large-txt">Popular Movies</p>
            <p class="description">Our Most Popular charts use data from the search behavior of IMDb's more than 250
                million monthly unique visitors to rank the hottest, most buzzed about movies and TV shows.</p>
        </div>

        <!-- movies table -->
        <div class="mat-elevation-z8 my-table">

            <table mat-table matSort aria-label="Elements" class="w-100">

                <!-- image Column -->
                <ng-container matColumnDef="poster">
                    <th mat-header-cell *matHeaderCellDef></th>
                    <td mat-cell *matCellDef="let row" class="cell-padding">
                        <img [src]="row.poster_path" class="table-thumbnail rounded"
                            onerror="this.src='assets/img/placeholder.png';" />
                    </td>
                </ng-container>

                <!-- title Column -->
                <ng-container matColumnDef="movie">
                    <th mat-header-cell *matHeaderCellDef>Movie</th>
                    <td mat-cell *matCellDef="let row"> {{row.title}} ({{row.release_date.substring(0,4)}}) </td>
                </ng-container>

                <!-- popularity Column -->
                <ng-container matColumnDef="popularity">
                    <th mat-header-cell *matHeaderCellDef>Popularity</th>
                    <td mat-cell *matCellDef="let row">{{row.popularity}}</td>
                </ng-container>

                <!-- vote avg Column -->
                <ng-container matColumnDef="vote-average">
                    <th mat-header-cell *matHeaderCellDef>Vote Avg</th>
                    <td mat-cell *matCellDef="let row">{{row.vote_average}}%</td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="onMovieClicked(row)"
                    style="cursor: pointer;"></tr>
            </table>

            <div class="d-flex justify-content-center" *ngIf="dataSource.loading$ | async">
                <mat-spinner></mat-spinner>
            </div>

            <mat-paginator #paginator [length]="dataSource?.totalPopularMovies" [pageIndex]="0" [pageSize]="20"
                [pageSizeOptions]="[20]" aria-label="Select page">
            </mat-paginator>
        </div>
    </div>
</section>